libnvme(2)

NAME
enum nvme_id_iocs_iocsc - This field indicates the Identify I/O Command Set Data Structure

SYNOPSIS
enum nvme_id_iocs_iocsc {
NVME_IOCS_IOCSC_NVMCS_SHIFT ,
NVME_IOCS_IOCSC_NVMCS_MASK ,
NVME_IOCS_IOCSC_KVCS_SHIFT ,
NVME_IOCS_IOCSC_KVCS_MASK ,
NVME_IOCS_IOCSC_ZNSCS_SHIFT ,
NVME_IOCS_IOCSC_ZNSCS_MASK ,
NVME_IOCS_IOCSC_SLMCS_SHIFT ,
NVME_IOCS_IOCSC_SLMCS_MASK ,
NVME_IOCS_IOCSC_CPNCS_SHIFT ,
NVME_IOCS_IOCSC_CPNCS_MASK

};

Constants

NVME_IOCS_IOCSC_NVMCS_SHIFT
    Shift amount to get the value of NVM Command Set

NVME_IOCS_IOCSC_NVMCS_MASK
    Mask to get the value of NVM Command Set

NVME_IOCS_IOCSC_KVCS_SHIFT
    Shift amount to get the value of Key Value Command Set

NVME_IOCS_IOCSC_KVCS_MASK
    Mask to get the value of Key Value Command Set

NVME_IOCS_IOCSC_ZNSCS_SHIFT
    Shift amount to get the value of Zoned Namespace Command Set

NVME_IOCS_IOCSC_ZNSCS_MASK
    Mask to get the value of Zoned Namespace Command Set

NVME_IOCS_IOCSC_SLMCS_SHIFT
    Shift amount to get the value of Subsystem Local Memory Command Set

NVME_IOCS_IOCSC_SLMCS_MASK
    Mask to get the value of Subsystem Local Memory Command Set

NVME_IOCS_IOCSC_CPNCS_SHIFT
    Shift amount to get the value of Computational Programs Namespace Command Set

NVME_IOCS_IOCSC_CPNCS_MASK
    Mask to get the value of Computational Programs Namespace Command Set